# $Revision: 1.26.2.1 $, $Date: 2006/08/08 23:48:16 $
%include	/usr/lib/rpm/macros.perl
Summary:	Rxvt terminal with unicode support and some improvements
Summary(pl):	Terminal Rxvt z obsug unicode i kilkoma usprawnieniami
Name:		urxvt
Version:	7.9
Release:	1
Group:		X11/Applications
License:	GPL
Source0:	http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-%{version}.tar.bz2
# Source0-md5:	7a0c73ccf0e31808ad37b61e730cd10e
Source1:	%{name}.desktop
Patch0:		%{name}-link.patch
URL:		http://software.schmorp.de/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URxvt is a Rxvt modification which includes:
- unicode support
- xft font support (antialiasing)
- background pixmaps
- background tinting
- real transparency

%description -l pl
URxvt jest modyfikacj Rxvt uwzgldniajc:
- obsug unicode
- obsug czcionek xft (antialiasing)
- moliwo ustawienia grafiki jako ta
- cieniowanie ta
- prawdziw przezroczysto

%prep
%setup -q -n rxvt-unicode-%{version}
%patch0 -p1

%build
%{__autoheader}
%{__autoconf}
%configure \
	--enable-shared \
	--disable-static \
	--enable-everything \
	--enable-xgetdefault \
	--enable-mousewheel \
	--disable-menubar \
	--enable-next-scroll \
	--enable-ttygid \
	--with-term=rxvt \
	--enable-half-shadow \
	--enable-smart-resize \
	--enable-256-color \
	--enable-24bit
%{__make} \
	CXXFLAGS="%{rpmcxxflags}" \
	CFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,7}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
echo '.so urxvtc.1' >$RPM_BUILD_ROOT%{_mandir}/man1/urxvtd.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes doc/README.*
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}
%{_desktopdir}/urxvt.desktop
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: urxvt.spec,v $
Revision 1.26.2.1  2006/08/08 23:48:16  havner
- 0.7.9, HEAD merge

Revision 1.34  2006/08/07 20:40:29  areq
- 7.9

Revision 1.33  2006/03/09 13:11:36  pluto
- release 2.

Revision 1.32  2006/03/03 22:20:58  qboosh
- missing -devel in BRs

Revision 1.31  2006/02/28 00:11:13  wolf
- 7.7
- modular xorg deps

Revision 1.30  2006/02/05 15:34:22  glen
- removed junk

Revision 1.29  2006/02/05 14:55:23  freetz
- 7.5, placed perl stuff (just packaged), adjusted autotools regeneration

Revision 1.28  2006/01/15 15:36:17  areq
- 7.0

Revision 1.27  2006/01/06 22:32:35  freetz
- 6.3, unpackaged perl stuff

Revision 1.26  2005/12/26 16:33:46  qboosh
- added link patch to kill unnecessary -lnsl
- ac cleanup, release 2

Revision 1.25  2005/12/18 23:03:28  freetz
- 5.9

Revision 1.24  2005/12/15 16:54:11  freetz
- 5.8

Revision 1.23  2005/11/27 18:55:04  zbyniu
- BR: libstdc++-devel

Revision 1.22  2005/07/14 07:33:33  freetz
- 5.7

Revision 1.21  2005/07/07 16:27:35  freetz
- 5.6, cleanup, use our optflags

Revision 1.20  2005/03/21 10:05:17  krolik
- updated to ver. 5.3 (fixed Long Escape Sequence Buffer Overflow)
- liburxvt.so was dropped in this version.
- STBR, package works.

Revision 1.19  2005/02/13 15:43:40  areq
- 5.0

Revision 1.18  2005/02/04 20:09:12  areq
- 4.9

Revision 1.17  2005/01/18 08:28:06  areq
- 4.8

Revision 1.16  2004/12/30 10:49:52  areq
- 4.7

Revision 1.15  2004/12/17 08:47:40  areq
- 4.6

Revision 1.14  2004/12/12 01:24:53  havner
- R: terminfo
- rel 2

Revision 1.13  2004/12/04 17:56:15  areq
- 4.3

Revision 1.12  2004/10/28 15:30:42  baggins
- release 2
- added shared liburxvt

Revision 1.11  2004/09/20 11:44:52  undefine
- update to 4.0 by Kamil Kosiski <paladine@palanthas.homelinux.org>

Revision 1.10  2004/08/25 15:20:18  areq
- 3.8

Revision 1.9  2004/08/14 09:39:28  areq
- 3.6

Revision 1.8  2004/08/12 13:58:24  havner
- fix home/end, don't define LINUX_KEYS
- rel 2

Revision 1.7  2004/08/11 09:58:25  areq
- 3.5

Revision 1.6  2004/08/07 19:17:25  areq
- 3.4

Revision 1.5  2004/07/31 18:00:50  areq
- 3.3

Revision 1.4  2004/07/11 15:48:49  qboosh
- fixed man link

Revision 1.3  2004/07/11 15:22:15  havner
- build, works, and is great

Revision 1.2  2004/07/11 12:24:35  havner
- DON'T touch that, I'll finish it later

Revision 1.1  2004/07/11 11:43:20  havner
- initial, NFY
